Skip to main content
`Ctrl`+`K`

# miopenConvSolution_t Struct Reference

MIOpen: miopenConvSolution_t Struct Reference
Public Attributes | List of all members
miopenConvSolution_t Struct Reference
Convolutions

Performance struct for forward, backward filter, or backward data algorithms in immediate mode. More...

`#include <miopen.h>`

## Public Attributes

float | time
size_t | workspace_size
uint64_t | solution_id
miopenConvAlgorithm_t | algorithm

## Detailed Description

Performance struct for forward, backward filter, or backward data algorithms in immediate mode.

Contains a 64-bit integer identifying the solution and the algorithm for the solution, as well as the runtime, workspace size and a boolean flag indicating whether the returned solution is a heuristic or resulting from an actual run

## Member Data Documentation

## ◆ algorithm

miopenConvAlgorithm_t miopenConvSolution_t::algorithm

The algorithm used to compute the solution

## ◆ solution_id

uint64_t miopenConvSolution_t::solution_id

Identifier for the returned solution

## ◆ time

float miopenConvSolution_t::time

Represents the approximate time required to execute this solution on the GPU, in milliseconds. This value may either be based on an acutal kernel run or an estimate based on a heuristic.

## ◆ workspace_size

size_t miopenConvSolution_t::workspace_size

Workspace required to run the selected algorithm represented in the union

The documentation for this struct was generated from the following file:

- /build/miopen-jNbRQH/miopen-7.2.4+dfsg/include/miopen/miopen.h